<?php
//CustomerResource.php

use \koolreport\dashboard\admin\Resource;
use \koolreport\dashboard\fields\ID;
use \koolreport\dashboard\fields\Text;

class CustomerResource extends Resource
{
    protected function onCreated()
    {
        $this->manageTable("customers")->inSource(AutoMaker::class);
    }

    protected function fields()
    {
        return [
            ID::create("customerNumber"),
            Text::create("customerName"),
        ];
    }
}